//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Valve.VR
{
    using System;
    using UnityEngine;
    
    
    public class SteamVR_Input_ActionSet_default : Valve.VR.SteamVR_ActionSet
    {
        
        public virtual SteamVR_Action_Boolean InteractUI
        {
            get
            {
                return SteamVR_Actions.default_InteractUI;
            }
        }
        
        public virtual SteamVR_Action_Boolean Teleport
        {
            get
            {
                return SteamVR_Actions.default_Teleport;
            }
        }
        
        public virtual SteamVR_Action_Boolean GrabPinch
        {
            get
            {
                return SteamVR_Actions.default_GrabPinch;
            }
        }
        
        public virtual SteamVR_Action_Boolean GrabGrip
        {
            get
            {
                return SteamVR_Actions.default_GrabGrip;
            }
        }
        
        public virtual SteamVR_Action_Pose Pose
        {
            get
            {
                return SteamVR_Actions.default_Pose;
            }
        }
        
        public virtual SteamVR_Action_Skeleton SkeletonLeftHand
        {
            get
            {
                return SteamVR_Actions.default_SkeletonLeftHand;
            }
        }
        
        public virtual SteamVR_Action_Skeleton SkeletonRightHand
        {
            get
            {
                return SteamVR_Actions.default_SkeletonRightHand;
            }
        }
        
        public virtual SteamVR_Action_Single Squeeze
        {
            get
            {
                return SteamVR_Actions.default_Squeeze;
            }
        }
        
        public virtual SteamVR_Action_Boolean HeadsetOnHead
        {
            get
            {
                return SteamVR_Actions.default_HeadsetOnHead;
            }
        }
        
        public virtual SteamVR_Action_Boolean SnapTurnLeft
        {
            get
            {
                return SteamVR_Actions.default_SnapTurnLeft;
            }
        }
        
        public virtual SteamVR_Action_Boolean SnapTurnRight
        {
            get
            {
                return SteamVR_Actions.default_SnapTurnRight;
            }
        }
        
        public virtual SteamVR_Action_Boolean GrabBall
        {
            get
            {
                return SteamVR_Actions.default_GrabBall;
            }
        }
        
        public virtual SteamVR_Action_Boolean SetShoulder
        {
            get
            {
                return SteamVR_Actions.default_SetShoulder;
            }
        }
        
        public virtual SteamVR_Action_Boolean IncreaseSupportRate
        {
            get
            {
                return SteamVR_Actions.default_IncreaseSupportRate;
            }
        }
        
        public virtual SteamVR_Action_Boolean DecreaseSupportRate
        {
            get
            {
                return SteamVR_Actions.default_DecreaseSupportRate;
            }
        }
        
        public virtual SteamVR_Action_Boolean ChangeEnhancementMode
        {
            get
            {
                return SteamVR_Actions.default_ChangeEnhancementMode;
            }
        }
        
        public virtual SteamVR_Action_Boolean SetDebugMode
        {
            get
            {
                return SteamVR_Actions.default_SetDebugMode;
            }
        }
        
        public virtual SteamVR_Action_Boolean SelfEfficacyUp
        {
            get
            {
                return SteamVR_Actions.default_SelfEfficacyUp;
            }
        }
        
        public virtual SteamVR_Action_Boolean SelfEfficacyDown
        {
            get
            {
                return SteamVR_Actions.default_SelfEfficacyDown;
            }
        }
        
        public virtual SteamVR_Action_Vibration Haptic
        {
            get
            {
                return SteamVR_Actions.default_Haptic;
            }
        }
    }
}
